DHCPCD-ONLINE

NAME
dhcpcd-online - a utility to work out if dhcpcd(8) is in the connected state

SYNOPSIS
dhcpcd-online [-q] [-t timeout] [-x]

DESCRIPTION
dhcpcd-online connects to dhcpcd(8) and waits for a maximum of timeout seconds until the status changes to connected. This tool is intended for use in the startup of the host system where dhcpcd(8) is started in parallel with other services who depend on a network connection being available.

-q  Suppresses the reporting of non error messages.

-t timeout
    Sets the number of seconds dhcpcd-online waits for dhcpcd(8) to reach the connected state. If not specified, a default value of 30 is used.

-x  Exits immediately if dhcpcd(8) is not running.

NOTES
dhcpcd(8) needs to be running in Master mode for dhcpcd-online to work.

AUTHORS
Roy Marples <roy@marples.name>

BUGS
Please report them to http://roy.marples.name/projects/dhcpcd-ui